Package: org.codehaus.groovy.util

## [Java] Class ListHashMapK, V

- org.codehaus.groovy.util.ListHashMap

- All Implemented Interfaces and Traits:
    Map

      public class ListHashMap
      extends Object

  This class represents a Map that is optimized for a small number of entries. For a number of entries up to `listSize` the entries are stored in arrays. After `listSize` entries are exceeded storage switches internally to a Map and converts back to being array based when its size is less than or equal to `listSize`. Null keys or values are not supported. This class is not thread safe.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ListHashMap ()`
    `ListHashMap (int listSize)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `clear()`
    `` | `boolean` | `containsKey(Object key)`
    `` | `boolean` | `containsValue(Object value)`
    `` | `Set<Entry<K, V>>` | `entrySet()`
    `` | `V` | `get(Object key)`
    `` | `boolean` | `isEmpty()`
    `` | `Set<K>` | `keySet()`
    `` | `V` | `put(K key, V value)`
    `` | `void` | `putAll(Map<? extends K, ? extends V> m)`
    `` | `V` | `remove(Object key)`
    `` | `int` | `size()`
    `` | `Collection<V>` | `values()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public ListHashMap()

    - #### public ListHashMap(int listSize)

  - ### Method Detail

    - #### public void clear()

    - #### public boolean containsKey(Object key)

    - #### public boolean containsValue(Object value)

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprSuppressWarnings public Set<Entry<K, V>> entrySet()

    - #### public V get(Object key)

    - #### public boolean isEmpty()

    - #### public Set<K> keySet()

    - #### @com.github.javaparser.ast.expr.SingleMemberAnnotationExprSuppressWarnings public V put(K key, V value)

    - #### public void putAll(Map<? extends K, ? extends V> m)

    - #### public V remove(Object key)

    - #### public int size()

    - #### public Collection<V> values()